package com.smartmatic.waffle.ecm.service.spec;

/**
 * Interface which establishes methods contract that must be implemented by
 * <code>ECMInitServiceImpl</code> class
 */
public interface IECMInitService {

	/**
	 * JNDI Service Name
	 */
	public static final String SERVICE_NAME = "com.smartmatic.waffle.ecm.service.spec.IECMInitService";

	/**
	 * <p>
	 * Method used to initialize the application. This method is responsible of
	 * initialize all the environment
	 * </p>
	 * 
	 * @version 1.0 (31/03/2006)
	 */
	public void start();
}
