/**
 * InsideMenuDispatchFunc.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.ui.menu;

import java.util.List;

import javax.swing.JPanel;

import com.smartmatic.waffle.domain.security.IActionData;

/**
 * The Class InsideMenuDispatchFunc.
 */
public abstract class InsideMenuDispatchFunc extends AbstractMenuDispatch {

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.waffle.core.IFunctDispatcher#dispatch(java.util.ArrayList
	 * )
	 */
	@Override
	public JPanel dispatch(List<IActionData> actions, boolean allowDisplay) {
		JPanel funcPanel = this.buildUIPanel(actions);
		return funcPanel;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.waffle.core.IFunctDispatcher#isEnabled(java.util.ArrayList
	 * )
	 */
	@Override
	public abstract boolean isEnabled(List<IActionData> actions);

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.ecm.ui.menu.AbstractMenuDispatch#buildUIPanel
	 * (java.util.List)
	 */
	@Override
	public abstract JPanel buildUIPanel(List<IActionData> actions);

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.ecm.ui.menu.AbstractMenuDispatch#refresh()
	 */
	@Override
	public abstract void refresh();

}
