package com.smartmatic.waffle.localpersistenceTest;

import java.io.File;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.powermock.modules.junit4.PowerMockRunner;

import com.smartmatic.waffle.localpersistence.CommonDestinations;

/**
 * Class used to write unit tests for CommonDestinations.
 */
@RunWith(PowerMockRunner.class)
public class CommonDestinationsTest {

	@Test
	public void constructorbaseDirNullTest() throws Exception {
		CommonDestinations commonDestinations = new CommonDestinations(null);
		Assert.assertNotNull(commonDestinations);
	}

	@Test
	public void constructorTest() throws Exception {
		File theBaseDir = new File("test/resources/");

		CommonDestinations commonDestinations = new CommonDestinations(
				theBaseDir);
		Assert.assertNotNull(commonDestinations);
	}

}
