/**
 * DisjunctionCriteria.java
 *
 * $Revision: 1.3 $ ($Date: 2011-04-06 04:44:55 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */

package com.smartmatic.waffle.persistence.search.criteria;

/**
 * Class that represents a disjunction.
 * 
 * @author Ithamar Torres
 */
public class DisjunctionCriteria extends JunctionCriteria {

	/**
	 * Holds the serialization id of the class
	 */

	private static final long serialVersionUID = -8450041194399393610L;

	/**
	 * Operator applied to the logical expression
	 * 
	 * @return The operator used in the logical operation
	 */
	@Override
	String getOp() {
		return " or ";
	}

}
