/**
 * ThreadLocalWrapper.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.persistence.service.impl;

/**
 * The Class ThreadLocalWrapper.
 */
public class ThreadLocalWrapper {

	/** The t local. */
	private static ThreadLocal tLocal = new ThreadLocal();

	/**
	 * Sets the.
	 * 
	 * @param list
	 *            the list
	 */
	public static void set(String list) {
		ThreadLocalWrapper.tLocal.set(list);
	}

	/**
	 * Gets the.
	 * 
	 * @return the string
	 */
	public static String get() {
		return (String) ThreadLocalWrapper.tLocal.get();
	}
}
