/**
 * @file   EmlElementNotFoundException.cxx
 * @brief  Implementation of EmlElementNotFoundException class.
 * @author manuel.arguelles
 * @date   Jan 12, 2018
 */

#include "EmlElementNotFoundException.hxx"
#include <Log/ISMTTLog.h>

using namespace Smartmatic::SAES::Exceptions::Voting::Eml;
using namespace Smartmatic::Log;

EmlElementNotFoundException::EmlElementNotFoundException(std::string message, std::string code, ISMTTLog* logger)
    : BaseException(message, code, logger)
{
}
