/*
 * MockElectionStringResourcesManager.hxx
 *
 *  Created on: 22/11/2013
 *      Author: soto
 */

#ifndef MOCKELECTIONSTRINGRESOURCESMANAGER_HXX_
#define MOCKELECTIONSTRINGRESOURCESMANAGER_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Resources/election-string-resources-manager.h>

class MockElectionStringResourcesManager : public Smartmatic::SAES::Resources::ElectionStringResourcesManager
    , public MOCKPP_NS::ChainableMockObject
{
    public:

        MockElectionStringResourcesManager ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockElectionStringResourcesManager" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( getResource, ext )
        {

        }

        MOCKPP_CHAINABLE_EXT1 ( MockElectionStringResourcesManager,
                                std::string, getResource, const std::string &,
                                std::string, ext, const std::string * );
};

#endif /* MOCKELECTIONSTRINGRESOURCESMANAGER_HXX_ */
