/**
 * @file MockSaesConfigurationManager.hxx
 * @date 15/04/2014
 * @author Yadickson Soto
 */

#ifndef MOCK_SAES_CONF_MANAGER_HXX_
#define MOCK_SAES_CONF_MANAGER_HXX_

#include <Configuration/s-a-e-s-conf-manager.h>

class MockSaesConfigurationManager : public Smartmatic::SAES::Configuration::SAESConfigurationManager
{
    public:

        MockSaesConfigurationManager ()
        {
        }

        virtual ~MockSaesConfigurationManager ()
        {
        }

        virtual void initialize()
        {
            loadDefault();
            Smartmatic::SAES::Configuration::SAESConfigurationManager::initialize();
        }
};

#endif /* MOCK_SAES_CONF_MANAGER_HXX_ */
