/**
 * @file	VotingOriginator.cxx
 * @brief	voting originator class.
 * @author	Youssef.tourkmani
 * @date	01/11/2012
 */

#include "VotingOriginator.hxx"

using namespace Smartmatic::SAES::Operation::Voting;
int VotingOriginator::count = 0;

VotingOriginator::VotingOriginator()
{
    this->state = NULL;
}

VotingMemento * VotingOriginator::createMemento()
{
    return new VotingMemento ( state , count++ );
}

void VotingOriginator::setState ( VotingState * state )
{
    this->state = state;
}

