/**
 * @file MockAlarmConfigurationManager.hxx
 * @date 16/07/2017
 * @author Yadickson Soto
 */

#ifndef MOCK_ALARMS_CONF_MANAGER_HXX_
#define MOCK_ALARMS_CONF_MANAGER_HXX_

#include <Configuration/AlarmConfigurationManager.hxx>

class MockAlarmConfigurationManager : public Smartmatic::SAES::Functionality::Configuration::AlarmConfigurationManager
{
    public:

        MockAlarmConfigurationManager ()
        {

        }

        virtual ~MockAlarmConfigurationManager ()
        {
        }

        virtual Smartmatic::SAES::Functionality::Configuration::AlarmsConfiguration & getAlarmsConfiguration ()
        {
            return config;
        }

        Smartmatic::SAES::Functionality::Configuration::AlarmsConfiguration config;
};

#endif /* MOCK_ALARMS_CONF_MANAGER_HXX_ */
