/**
 * @file BarcodeReaderDiagnoseWidget.hxx
 * @brief Header Barcode reader diagnose widget class
 * @date 05/09/2013
 * @author Yadickson Soto
 */

#ifndef BARCODEREADERDIAGNOSEWIDGET_HXX_
#define BARCODEREADERDIAGNOSEWIDGET_HXX_

#include <Gui/Widgets/Diagnose/WizardDiagnoseWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class BarcodeReaderDiagnoseWidget
                 * @brief Barcode reader diagnose widget
                 * @date 09/09/2013
                 * @author Yadickson Soto
                 */
                class BarcodeReaderDiagnoseWidget : public Smartmatic::SAES::GUI::Widgets::WizardDiagnoseWidget
                {
                    public:

                        /**
                         * @fn BarcodeReaderDiagnoseWidget();
                         * @brief Class constructor
                         * @date 09/09/2013
                         * @author Yadickson Soto
                         */
                        BarcodeReaderDiagnoseWidget();
                        /**
                         * @fn virtual ~BarcodeReaderDiagnoseWidget();
                         * @brief Class destructor
                         * @date 09/09/2013
                         * @author Yadickson Soto
                         */
                        virtual ~BarcodeReaderDiagnoseWidget();
                };
            }
        }
    }
}
#endif /* BARCODEREADERDIAGNOSEWIDGET_HXX_ */
