/*
 * PoorMockFillTableWidget.hxx
 *
 *  Created on: 02/05/2013
 *      Author: soto
 */

#ifndef POORMOCKFILLTABLEWIDGET_HXX_
#define POORMOCKFILLTABLEWIDGET_HXX_

#include <Gui/Widgets/IFillTableWidget.hxx>

#include <mockpp/TrackingCounter.h>
#include <mockpp/MockObject.h>

class PoorMockFillTableWidget : public Smartmatic::SAES::GUI::Widgets::IFillTableWidget,
    public MOCKPP_NS::MockObject
{
    public:

        explicit PoorMockFillTableWidget ( Smartmatic::GUI::Widgets::ITableWidget * tableWidget )
            : Smartmatic::SAES::GUI::Widgets::IFillTableWidget ( tableWidget )
            , MOCKPP_NS::MockObject ( MOCKPP_PCHAR ( "MockObject" ) )
            , putPrincipalCounter ( 0 )
            , putStandInCounter ( 0 )
            , putStandInTitleCounter ( 0 )
        {

        }

        virtual void putPrincipal( )
        {
            putPrincipalCounter++;
            Smartmatic::SAES::GUI::Widgets::IFillTableWidget::putPrincipal();
        }

        virtual void putStandIn ( )
        {
            putStandInCounter++;
            Smartmatic::SAES::GUI::Widgets::IFillTableWidget::putStandIn();
        }

        virtual void putStandInTitle ()
        {
            Smartmatic::SAES::GUI::Widgets::IFillTableWidget::putStandInTitle();
            putStandInTitleCounter++;
        }

        unsigned int putPrincipalCounter;
        unsigned int putStandInCounter;
        unsigned int putStandInTitleCounter;
};

#endif /* POORMOCKFILLTABLEWIDGET_HXX_ */
