/*
 * PoorMockTableWidget.hxx
 *
 *  Created on: 23/04/2013
 *      Author: soto
 */

#ifndef POORMOCKTABLEWIDGET_HXX_
#define POORMOCKTABLEWIDGET_HXX_

#include <Widgets/ITableWidget.hxx>

#include <mockpp/TrackingCounter.h>
#include <mockpp/MockObject.h>

class PoorMockTableWidget : public Smartmatic::GUI::Widgets::ITableWidget,
    public MOCKPP_NS::MockObject
{
    public:

        PoorMockTableWidget()
            : MOCKPP_NS::MockObject ( MOCKPP_PCHAR ( "MockObject" ) )
        {
            this->row = 0;
            this->column = 0;
        }

        virtual void resize ( unsigned int row, unsigned int column )
        {
            this->row = row;
            this->column = column;

            for ( unsigned int i = 0; i < column ; i++ )
            {
                map [i] = 0;
            }
        }

        virtual void setSpacings ( int row, int column )
        {

        }

        virtual void put ( void * widget, int row, int column )
        {
            map [column]++;
        }

        std::map < int, int > map;
        int row;
        int column;
};

#endif /* POORMOCKTABLEWIDGET_HXX_ */
