/*
 * IOBGetSerialNumberCommand.cxx
 *
 *  Created on: Jan 2, 2018
 *      Author: eduardo.fernandez
 */

#include "IOBGetSerialNumberCommand.hxx"
#include <Commands/DataCommandElement.hxx>

using namespace Smartmatic::SAES::HW::Commands;
using namespace Smartmatic::SAES::HW::Connections;

static const unsigned char COMMAND_ID = 0x75;

IOBGetSerialNumberCommand::IOBGetSerialNumberCommand(HW::Connections::IConnection* connection)
    : CommandBaseIOB(connection)
{
    hasResponse_ = true;
}

IOBGetSerialNumberCommand::~IOBGetSerialNumberCommand()
{
}

void IOBGetSerialNumberCommand::initialize()
{
    data.push_back(COMMAND_ID);
}
