/**
 * @file   PDBFWVersionCommand.cxx
 * @brief  Implementation of PDBFWVersionCommand class.
 * @author manuel.arguelles
 * @date   Nov  1, 2017
 */

#include "PDBFWVersionCommand.hxx"
#include <Commands/DataCommandElement.hxx>

using namespace Smartmatic::SAES::HW::Commands;
using namespace Smartmatic::SAES::HW::Connections;

static const unsigned char COMMAND_ID = 0x50;

PDBFWVersionCommand::PDBFWVersionCommand(HW::Connections::IConnection* connection)
    : CommandBasePDB(connection)
{
    hasResponse_ = true;
}

PDBFWVersionCommand::~PDBFWVersionCommand()
{
}

void PDBFWVersionCommand::initialize()
{
    data.push_back(COMMAND_ID);
}
