/**
 * @file StoreMockBarcodeConfManager.hxx
 * @date 12/02/2014
 * @author Yadickson Soto
 */

#ifndef MOCK_BCR_CONF_MANAGER_HXX_
#define MOCK_BCR_CONF_MANAGER_HXX_

#include <Configuration/BarcodeDeviceConfigurationManager.hxx>

class StoreMockBarcodeConfManager : public Smartmatic::SAES::HW::Configuration::BarcodeDeviceConfigurationManager
{
    public:

        StoreMockBarcodeConfManager ()
        {
            Smartmatic::SAES::HW::Configuration::BarcodeDeviceConfiguration::ConfigurationCommandsSequence seq;
            config.setConfigurationCommands ( seq );
            config.setModelFile ( "" );
            config.setSerialFile ( "" );
            config.setCommandsFile ( "" );
            config.setBufferFile ( "" );
        }

        virtual ~StoreMockBarcodeConfManager ()
        {
        }

        virtual Smartmatic::SAES::HW::Configuration::BarcodeDeviceConfiguration & getBarcodeDeviceConfiguration()
        {
            return config;
        }

        Smartmatic::SAES::HW::Configuration::BarcodeDeviceConfiguration config;
};

#endif /* MOCK_BCR_CONF_MANAGER_HXX_ */
