/**
 * @file SafeList.hpp
 * @brief Class that inherits from std::list, used to unit test.
 * @author	Yadickson Soto
 * @date	23/04/2014
 */

#include "SafeList.hxx"
#include <sstream>

template <class T>
void operator<< ( std::string & out, const Smartmatic::System::SafeList<T> & list )
{
    std::stringstream ss;
    ss << "SafeList(" << list.size() << ")";
    out.append ( ss.str() );
}
