/*
 * MockBasicLanguageController.hxx
 *
 *  Created on: 06/11/2013
 *      Author: soto
 */

#ifndef MOCK_BASICLANGUAGE_CONTROLLER_HXX
#define MOCK_BASICLANGUAGE_CONTROLLER_HXX

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Environment/Configurations/LanguageController.hxx>

class MockBasicLanguageController : public Smartmatic::Environment::LanguageController,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockBasicLanguageController ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockBasicLanguageController" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getLangSystem )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE_EXT1 ( setLangSystem, ext )
        {

        }

        MOCKPP_CHAINABLE0 ( MockBasicLanguageController, std::string , getLangSystem );

        MOCKPP_VOID_CHAINABLE_EXT1 ( MockBasicLanguageController,
                                     setLangSystem, const std::string &,
                                     ext, const std::string * );
};

#endif /* MOCK_BASICLANGUAGE_CONTROLLER_HXX */
