/*
 * StoreMockProcessLauncher.hxx
 *
 *  Created on: 21/05/2013
 *      Author: soto
 */

#ifndef MOCK_STORE_PROCESS_LAUNCHER_HXX_
#define MOCK_STORE_PROCESS_LAUNCHER_HXX_

#include <System/Runtime/ProcessLauncher.h>

class StoreMockProcessLauncher : public Smartmatic::System::Runtime::ProcessLauncher
{
    public:

        StoreMockProcessLauncher ()
        {
            RunProcessThroughSystemBackground = false;
        }

        Smartmatic::System::SafeList < std::string > RunProcessThroughPipe ( const std::string & commandLineWithArguments, Smartmatic::System::IO::PipeFile * pipeFile = NULL )
        {
            commandLineWithArgumentsCommandLine = commandLineWithArguments;
            return listReturn;
        }

        int RunProcessThroughSystem ( const std::string & commandLineWithArguments, bool background = false )
        {
            RunProcessThroughSystemCommandLine = commandLineWithArguments;
            RunProcessThroughSystemBackground = background;

            return 0;
        }

        std::string RunProcessThroughSystemCommandLine;
        bool RunProcessThroughSystemBackground;

        std::string commandLineWithArgumentsCommandLine;
        Smartmatic::System::SafeList < std::string > listReturn;
};

#endif /* MOCK_STORE_PROCESS_LAUNCHER_HXX_ */
