/**
 * SortedBrowserHierarchy.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.comparators;

import java.util.Comparator;

import com.smartmatic.waffle.ecm.data.transfer.objects.BrowserHierarchyDTO;

/**
 * Comparator used to sort region or contest browser elements by text to show.
 */
public class BrowserHierarchyComparator implements
        Comparator<BrowserHierarchyDTO> {

    /*
     * (non-Javadoc)
     * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
     */
    @Override
    public int compare(BrowserHierarchyDTO o1, BrowserHierarchyDTO o2) {
        return o1.getTextToShow().compareTo(o2.getTextToShow());
    }

}
