/**
 * ImageFileDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.io.File;

/**
 * Class used to hold file information of screenshots when this are processing.
 */
public class ImageFileDTO {

    /** The file name. */
    private String fileName;

    /** The file reference. */
    private File fileReference;

    /**
     * Gets the file name.
     * 
     * @return the file name
     */
    public String getFileName() {
        return this.fileName;
    }

    /**
     * Sets the file name.
     * 
     * @param fileName
     *            the new file name
     */
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    /**
     * Gets the file reference.
     * 
     * @return the file reference
     */
    public File getFileReference() {
        return this.fileReference;
    }

    /**
     * Sets the file reference.
     * 
     * @param fileReference
     *            the new file reference
     */
    public void setFileReference(File fileReference) {
        this.fileReference = fileReference;
    }
}
