/**
 * SelectedObjectToWidgetDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.util.List;

import com.smartmatic.waffle.domain.contest.ContestData;
import com.smartmatic.waffle.domain.demographics.RegionData;

/**
 * Class that holds the selected items in region or contest browser.
 */
public class SelectedObjectToWidgetDTO {

    /** The region selected. */
    private List<RegionData> regionSelected;

    /** The Contest selected. */
    private List<ContestData> ContestSelected;

    /**
     * Getter of <code>regionSelected</code> property.
     * 
     * @return <code>regionSelected</code> property value.
     * @see #regionSelected
     */

    public List<RegionData> getRegionSelected() {
        return this.regionSelected;
    }

    /**
     * Setter of <code>regionSelected</code> property.
     * 
     * @param regionSelected
     *            The <code>regionSelected</code> to set.
     * @see #regionSelected
     */
    public void setRegionSelected(List<RegionData> regionSelected) {
        this.regionSelected = regionSelected;
    }

    /**
     * Getter of <code>contestSelected</code> property.
     * 
     * @return <code>contestSelected</code> property value.
     * @see #contestSelected
     */

    public List<ContestData> getContestSelected() {
        return this.ContestSelected;
    }

    /**
     * Setter of <code>contestSelected</code> property.
     * 
     * @param contestSelected
     *            The <code>contestSelected</code> to set.
     * @see #contestSelected
     */
    public void setContestSelected(List<ContestData> contestSelected) {
        this.ContestSelected = contestSelected;
    }
}
