/**
 * BrowserHierarchyStatusType.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.type;

/**
 * Class used to hold the selection status for region or contest browser
 * hierarchy.
 */
public enum BrowserHierarchyStatusType {

    /** Unselected status. */
    UNSELECTED,
    /** Partial selected status. */
    PARTIAL_SELECTED,
    /** Full selected estatus. */
    FULL_SELECTED
}
