/**
 * @file   CandidateNotFoundException.cxx
 * @brief  Implementation of CandidateNotFoundException class.
 * @author manuel.arguelles
 * @date   Mar 27, 2018
 */

#include "CandidateNotFoundException.hxx"
#include <Log/ISMTTLog.h>

using namespace Smartmatic::SAES::Exceptions::Voting;
using namespace Smartmatic::Log;

CandidateNotFoundException::CandidateNotFoundException(std::string message, std::string code, ISMTTLog* logger)
    : BaseException(message, code, logger)
{
}

