/**
 * @file   ConfigurationException.cxx
 * @brief  Implementation of ConfigurationException class.
 * @author angel.ramirez
 * @date   Jul 06, 2022
 */

#include "ConfigurationException.hxx"
#include <Log/ISMTTLog.h>

using namespace Smartmatic::SAES::Exceptions::Voting;
using namespace Smartmatic::Log;

ConfigurationException::ConfigurationException(std::string message, std::string code, ISMTTLog* logger)
    : BaseException(message, code, logger)
{
}

