/**
 * @file	QRVoteSignatureException.cpp
 * @brief	Implements the qr vote signature exception class.
 * @author	Youssef.tourkmani
 * @date	31/10/2012
 */

#include "Exceptions/Voting/Vote/QRVoteSignatureException.h"

using namespace Smartmatic::SAES::Exceptions::Voting::Vote;

QRVoteSignatureException::QRVoteSignatureException ( std::string message, std::string code,
        Smartmatic::Log::ISMTTLog * logger ) : BaseException ( message, code, logger )
{

}
