/**
 * @file VoteValidate.cxx
 * @brief Body Vote Validate Class
 * @date 29/04/2013
 * @author Yadickson Soto
 */

#include "VoteValidate.hxx"
#include "VoteFactory.hxx"

using namespace Smartmatic::SAES::Voting::Vote;

VoteValidate::VoteValidate()
{

}

VoteValidate::~VoteValidate()
{

}

bool VoteValidate::validateStructure ( Vote * vote )
{
    Smartmatic::System::SafeBuffer buffer;
    return VoteFactory::voteToBuffer ( vote, buffer );
}
