/*
 * MockVoteOptimizedSigned.hxx
 *
 *  Created on: 21/05/2013
 *      Author: soto
 */

#ifndef MOCKVOTEOPTIMIZEDSIGNED_HXX_
#define MOCKVOTEOPTIMIZEDSIGNED_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Voting/Vote/VoteOptimizedSigned.hxx>

class MockVoteOptimizedSigned : public Smartmatic::SAES::Voting::Vote::VoteOptimizedSigned,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockVoteOptimizedSigned ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockVoteOptimizedSigned" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( validateBuffer, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( signedBuffer, ext )
        {

        }

        MOCKPP_CHAINABLE_EXT1 ( MockVoteOptimizedSigned,
                                bool, validateBuffer, Smartmatic::System::SafeBuffer &,
                                bool, ext, Smartmatic::System::SafeBuffer * );

        MOCKPP_CHAINABLE_EXT1 ( MockVoteOptimizedSigned,
                                bool, signedBuffer, Smartmatic::System::SafeBuffer &,
                                bool, ext, Smartmatic::System::SafeBuffer * );
};

#endif /* MOCKVOTEOPTIMIZEDSIGNED_HXX_ */
