/*
 * ChainMockLoginManager.hxx
 *
 *  Created on: 22/05/2013
 *      Author: soto
 */

#ifndef CHAINMOCKLOGINMANAGER_HXX_
#define CHAINMOCKLOGINMANAGER_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>

#include <Operation/LoginManager.hxx>

class ChainMockLoginManager : public Smartmatic::SAES::Operation::LoginManager,
    public MOCKPP_NS::ChainableMockObject
{
    public:
        ChainMockLoginManager()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "ChainMockLoginManager" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( getOptPassword, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( getFilePassword, ext )
        {

        }

        MOCKPP_CHAINABLE_EXT1 ( ChainMockLoginManager, bool, getOptPassword, std::string &, bool, ext, MOCKPP_STL::string );
        MOCKPP_CHAINABLE_EXT1 ( ChainMockLoginManager, bool, getFilePassword, std::string &, bool, ext, MOCKPP_STL::string );
};


#endif /* CHAINMOCKLOGINMANAGER_HXX_ */
