/*
 * AbledGetSerialNumberCommand.cxx
 *
 *  Created on: Jan 11, 2018
 *      Author: eduardo.fernandez
 */

#include "AbledGetSerialNumberCommand.hxx"
#include <Commands/DataCommandElement.hxx>

using namespace Smartmatic::SAES::HW::Commands;
using namespace Smartmatic::SAES::HW::Connections;

static const unsigned char COMMAND_ID = 0x75;

AbledGetSerialNumberCommand::AbledGetSerialNumberCommand(HW::Connections::IConnection* connection)
    : CommandBaseAbled(connection)
{
    hasResponse_ = true;
}

AbledGetSerialNumberCommand::~AbledGetSerialNumberCommand()
{
}

void AbledGetSerialNumberCommand::initialize()
{
    data.push_back(COMMAND_ID);
}
