/**
 * @file AlarmHeaderCommandElement.cxx
 * @brief Defines the Header alarm command element. This will be limited to one-byte values.
 * @author	Yadickson Soto
 * @date	17/02/2014
 */

#include "AlarmHeaderCommandElement.hxx"

using namespace Smartmatic::SAES::HW::Commands;

AlarmHeaderCommandElement::AlarmHeaderCommandElement()
    : ByteCommandElement ( 0x55 )
{

}

AlarmHeaderCommandElement::~AlarmHeaderCommandElement()
{

}
