/*
 * PDBGetSerialNumberCommand.cxx
 *
 *  Created on: Nov 18, 2017
 *      Author: marcelmancini
 */

#include "PDBGetSerialNumberCommand.hxx"
#include <Commands/DataCommandElement.hxx>

using namespace Smartmatic::SAES::HW::Commands;
using namespace Smartmatic::SAES::HW::Connections;

static const unsigned char COMMAND_ID = 0x75;

PDBGetSerialNumberCommand::PDBGetSerialNumberCommand(HW::Connections::IConnection* connection)
    : CommandBasePDB(connection)
{
    hasResponse_ = true;
}

PDBGetSerialNumberCommand::~PDBGetSerialNumberCommand()
{
}

void PDBGetSerialNumberCommand::initialize()
{
    data.push_back(COMMAND_ID);
}


