#ifndef TEST_ALARM_FOOTER_COMMAND_ELEMENT_TEST
#define TEST_ALARM_FOOTER_COMMAND_ELEMENT_TEST

#ifdef ECUT_MAIN

#include <cppunit/extensions/HelperMacros.h>
#include <Commands/AlarmFooterCommandElement.hxx>
#include <System/Utils/StringUtils.hxx>

class AlarmFooterCommandElementTest : public CPPUNIT_NS::TestFixture
{
    private:

        typedef Smartmatic::System::Utils::StringUtils StringUtils;
        typedef Smartmatic::SAES::HW::Commands::AlarmFooterCommandElement AlarmFooterCommandElement;

    public:

        AlarmFooterCommandElementTest ()
        {

        }

        void setUp()
        {

        }

        void tearDown()
        {

        }

        void testFooterCommand_AlarmBox()
        {
            std::vector<unsigned char> command;
            AlarmFooterCommandElement footer;

            std::string expected = "aa";
            std::string result;

            footer.addToCommand ( command );

            result = StringUtils::arrayHexToString ( command );

            CPPUNIT_ASSERT ( false == command.empty() );
            CPPUNIT_ASSERT ( expected == result );
        }

        CPPUNIT_TEST_SUITE ( AlarmFooterCommandElementTest );

        CPPUNIT_TEST ( testFooterCommand_AlarmBox );

        CPPUNIT_TEST_SUITE_END();
};

#endif /* ECUT_MAIN */

#endif /* TEST_ALARM_FOOTER_COMMAND_ELEMENT_TEST */
