/**
 * @file PowerDown.cxx
 * @brief Body power down class
 * @date 07/11/2012
 * @author Yadickson Soto
 */

#include "System/Runtime/PowerDown.hxx"
#include "System/Runtime/ProcessLauncher.h"

using namespace Smartmatic::System::Runtime;

void PowerDown::shutdown ( )
{
    std::string commandShut = "poweroff";
    ( void ) ProcessLauncher::getInstance()->RunProcessThroughSystem ( commandShut, true );
}
