/*
 * MockLanguageController.hxx
 *
 *  Created on: 02/12/2013
 *      Author: soto
 */

#ifndef MOCK_LANGUAGE_CONTROLLER_HXX
#define MOCK_LANGUAGE_CONTROLLER_HXX

#include <Environment/Configurations/LanguageController.hxx>

class MockLanguageController : public Smartmatic::Environment::LanguageController
{
    public:

        MockLanguageController ()
        {
        }

        virtual void loadLangSupports()
        {
            languagesSupports.clear();

            languagesSupports.insert ( "fr_FR.utf8" );
            languagesSupports.insert ( "nl_FR.utf8" );
            languagesSupports.insert ( "de_FR.utf8" );
        }

        virtual std::string getLangSystem()
        {
            return "";
        }

        virtual void setLangSystem ( const std::string & lang )
        {

        }
};

#endif /* MOCK_LANGUAGE_CONTROLLER_HXX */
