/**
 * @file AccessibleManager.cxx
 * @brief Body Class Accessible Manager
 * @date 24/04/2013
 * @author Yadickson Soto
 */

#include "AccessibleManager.hxx"

using namespace Smartmatic::GUI::Operation;

AccessibleManager::AccessibleManager()
{

}

AccessibleManager::~AccessibleManager()
{

}

void AccessibleManager::setName ( Gtk::Widget * widget, const std::string & name )
{
    AtkObject * accessibleMainWindow = gtk_widget_get_accessible ( GTK_WIDGET ( widget->gobj() ) );
    atk_object_set_name ( accessibleMainWindow, name.c_str() );
}

void AccessibleManager::setDescription ( Gtk::Widget * widget, const std::string & description )
{
    AtkObject * accessibleMainWindow = gtk_widget_get_accessible ( GTK_WIDGET ( widget->gobj() ) );
    atk_object_set_description ( accessibleMainWindow, description.c_str() );
}
