/**
 * @file LogInterface.cxx
 * @brief Implementation of the interface that abstracts to the entity logs base.
 * @date 8/07/2011
 * @author Yadickson Soto
 */

#include "LogInterface.hxx"

using namespace Smartmatic::Log;

LogInterface::LogInterface ( const std::string & code )
    : code ( code )
{
}

LogInterface::~LogInterface ()
{
}

std::string LogInterface::getCode () const
{
    return this->code;
}
